import "./Display.css";
import React, { useRef, useLayoutEffect } from 'react';
import cn from '../cn';
export default function LayersDisplay({
  setElement
}) {
  const element = useRef(null);
  useLayoutEffect(() => {
    setElement(element.current);
  }, [setElement]);
  return /*#__PURE__*/React.createElement("section", {
    ref: element,
    className: cn('Layers', 'Display')()
  });
}