import "./index.css";
import React, { useState } from 'react';
import cn from '../cn';
import Control from './Control';
import Display from './Display';
export default function Layers({
  children
}) {
  const [frontLayer, setFrontLayer] = useState();
  return /*#__PURE__*/React.createElement("section", {
    className: cn('Layers')()
  }, frontLayer && /*#__PURE__*/React.createElement(Control, {
    root: true,
    frontLayer: frontLayer
  }, children), /*#__PURE__*/React.createElement(Display, {
    setElement: setFrontLayer
  }));
}