import './Item.sass';
import { ReactNode, CSSProperties } from 'react';
export interface Props {
    children: Mix;
    maxWidth?: number;
    maxHeight?: number;
}
export declare type Mix = (props: MixProps) => ReactNode | void;
export interface MixProps {
    className: string;
    style: CSSProperties;
}
export default function ContainerItem({ children, maxWidth, maxHeight }: Props): JSX.Element;
