import "./Item.css";
import React from 'react';
import cn from '../cn';
export default function ContainerItem({
  children,
  maxWidth,
  maxHeight
}) {
  const cnBase = cn('Container', 'Item');
  return /*#__PURE__*/React.createElement(React.Fragment, null, children({
    className: cnBase(),
    style: {
      [`--${cnBase()}_maxWidth`]: maxWidth,
      [`--${cnBase()}_maxHeight`]: maxHeight
    }
  }));
}