import './Control.sass';
import { ReactNode } from 'react';
export interface Props {
    children?: ReactNode;
    frontLayer?: HTMLElement;
    root?: boolean;
}
interface BaseContextProps {
    frontLayer?: HTMLElement;
    setCurrentComponent: SetCurrentComponent;
    nesting: number;
}
export interface ContextProps extends BaseContextProps {
    frontLayer: HTMLElement;
}
declare type CloseComponent = () => void;
declare type SetCurrentComponent = (close?: CloseComponent) => void;
export default function LayersControl({ children, frontLayer, root }: Props): JSX.Element;
export declare function useLayersControlContext(): ContextProps;
export {};
